Bug 1024956 - gnome-session: logs invalid utf-8
gnome-session: logs invalid utf-8
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 12:06 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2015-06-29 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:46:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-30 12:06:19 EDT
Description of problem:
Due to a bug in systemd-logind, gnome-session got some invalid utf-8. It is attempting to log it, without escaping it. systemd bugs notwithstanding, gnome-shell should not propagate the brokenness even further.

Wed 2013-10-30 11:50:01.835991 EDT [s=1c7b2be105ab4673926b729892543199;i=57af;b=9071b253adae4966aedd1fab137cf8c8;m=b4
    _UID=42
    _GID=42
    _CAP_EFFECTIVE=0
    _SYSTEMD_OWNER_UID=42
    _SYSTEMD_SLICE=user-42.slice
    _BOOT_ID=9071b253adae4966aedd1fab137cf8c8
    _MACHINE_ID=5833158886a8445e801d437313d25eff
    _HOSTNAME=bupkis
    PRIORITY=6
    _TRANSPORT=stdout
    _PID=939
    _COMM=gnome-session
    _EXE=/usr/bin/gnome-session
    _CMDLINE=/usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart
    _SYSTEMD_CGROUP=/user.slice/user-42.slice/session-c1.scope
    _SYSTEMD_SESSION=c1
    _SYSTEMD_UNIT=session-c1.scope
    _SELINUX_CONTEXT=system_u:system_r:xdm_t:s0-s0:c0.c1023
    SYSLOG_IDENTIFIER=gnome-session
    MESSAGE=/run/systemd/sessions/c1:15: invalid UTF-8 for key SERVICE: 'p<B7>B<87>Q^?', ignoring.

And /run/systemd/sessions/c1 is really borked:
# This is private data. Do not parse.
UID=42
USER=gdm
ACTIVE=0
STATE=opening
REMOTE=0
TYPE=x11
CLASS=greeter
SCOPE=fBQ
SCOPE_JOB=/run/systemd/sessions/.c1XKe57k
FIFO=/run/systemd/sessions/c1.ref
SEAT=seat-usb-pci-0000_00_1d_0-usb-0_1_2
DISPLAY=ЮBQ
SERVICE=p·BQ
LEADER=932
REALTIME=1382371175300355
MONOTONIC=23434796

Version-Release number of selected component (if applicable):
gnome-session-3.10.1-1.fc20.x86_64
Comment 1 Fedora End Of Life 2015-05-29 05:39:32 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 08:46:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.